# 扩展阅读
基于前面的实践，你对CYFS的一些关键概念和理念有了进一步的认识。在这一章我们会尝试对这些概念和理念稍做一些探讨。本章内容不少直接来源于《CYFS 白皮书》和《CYFS 白皮书 解读》，但遗憾的是目前这两篇大部头我们还在内部审校阶段，因此本章节还未完成。但本着“完成比完美重要”的原则，我们还是先把编写中的本章放出来了。

# 去中心

在一个分布有众多节点的系统中，每个节点都具有高度自治的特征。节点之间彼此可以自由连接，形成新的连接单元。任何一个节点都可能成为阶段性的中心，但不具备强制性的中心控制功能。节点与节点之间的影响，会通过网络而形成非线性因果关系。这种开放式、扁平化、平等性的系统现象或结构，我们称之为去中心化。

# 可信数据

可信数据是指经过用户私钥签名并保存在区块链的可校验、不可篡改和不可抵赖的数据，这些数据通过去中心化的方式进行分布式存储。

# 语义数据

从本质上讲，数据就是符号，其本身没有任何意义，只有被赋予含义的数据才能够被使用，这时候的数据就转化为了语义数据。
语义数据可以简单地看作是数据所对应的现实世界中的事物所代表的概念的含义，以及这些含义之间的关系，是数据在某个领域上的解释和逻辑表示。

# 数据命名


# 数据产权

设备的所有者或使用者对基于数据行为而产生的网络数据，享有使自己或他人在财产性利益上受益或受损的权利。数据作为数据产权的客体，是数据产权制度体系的基础。利益的主体不限定为自然人，还包括法人、非法人组织、政府或国家。

## 数据产权的特征

1. 数据产权以信息为其内容
   信息是数据的内容，数据是信息的形式。信息通过数据形式生成、传输和储存，控制数据即掌握了相关信息，在这个意义上数据和信息具有天然的共生性和一致性。

2. 数据产权具有经济利益属性
   数据产权的核心价值是其具有经济利益。数据时代数据与经济活动有关系，数据活动会带来一定的经济价值，且数据的商业价值与社会价值越来越大，其具有经济利益已经是不争的事实。也正因为如此，数据本身并不是客体，但是基于数据的活动产生的经济利益就具有了客体性，成为产权的客体。

3. 数据产权专属于特定主体
   有利益必有归属。作为一种权利，数据产权必定归属于某个主体，具有可支配性和排他性。对于权利人来说，可以排他的占有、支配和使用。

4. 数据产权具有生产要素价值
   传统理论认为生产要素主要包括劳动、土地和资本三类。一项事物是否属于生产要素，主要判断标准是其是否为物质生产所必需。人类进入互联网时代后，各类数据在生产经营活动中的作用日益凸显，并且已经成为不可替代的生产要素。数据不仅是新经济的核心要素，而且改变着传统产业的生产方式与经营模式。

## 数据产权的分类

1. 数据资产
   数据资产是基于已经在历史上形成并具有较为明确的商业价值和运营范围，资产的边界较为清晰，数据总量也很明确。此类数据资产可以在相当长的时期内具有较为稳定的市场需求与明确的价格判断标准。例如在可以市场化配置的数据范围内，政府的某个行业主管部门按照一定的标准汇聚，在一个历史时期之内这个行业在全国或某个地区的全部可视化数据信息。

2. 数据权益
   数据权益是基于动态变化中的数据产权和可能在未来带来的全部预期收益，数据权益的市场价值基于对数据变化趋势的未来判断和数据平台的汇总分析能力，甚至是技术的变化都要考虑在内。数据权益的数量、范围和收益的边界是不确定的，但数据权益的时间边界和权属边界是清晰的。数据权益更像是数据资产的融资行为，对于数据权益的投资方而言，这样可能会产生更大的资产增值效应和获得市场竞争优势的机会。例如某个电商交易平台上某类商品在未来一段时间内供给或需求变化情况的数据使用权。由于不同的平台、不同的标准、不同的频率、不同的时段的数据差异都会给投资者带来未来收益的变化，投资者在取得数据权益的同时也获得了更多的分析应用的可能性。

3. 数据产品
   数据产品的范围可以说是无限可能，数据产品更强调数据的时效性或即时性，数据产品与数据资产和权益有一个最大不同点，数据产品是从需求侧主导产品的个性化设计，通过互联网实现需求与供给的实时对接，随时满足数据产品需求者的生产经营活动需要。例如某个企业对于本行业各家企业当月市场占有率的实时数据；某个企业推出新产品后的市场实时反馈数据；在一个时点（例如 618 购物节）对于某种商品具有相当关注度的客户数据等。
